Subject: RE: PIB-ACCESS

From: "Durham, David" <[email-masked]>
Date: Wed, 13 Feb 2002 13:39:01 -0800

Hi Nguyen,
I think in this case, you'll have to copy & paste the definition. The reason
is that changing the PIB-ACCESS implies you are changing the semantics while
reusing the syntax. SPPI's concept of reuse is geared to both semantic AND
syntactic reuse.
Cheers,
-Dave

> -----Original Message-----
> From: Nguyen Thi Mai Trang [mailto:[email-masked]]
> Sent: Wednesday, February 13, 2002 5:20 AM
> To: [email-masked]
> Subject: PIB-ACCESS
> 
> Hi everybody,
> 
> How can I reuse a PRC but with onother PIB-ACCESS clause?
> 
> For exemple:
> Diffserv PIB has defined qosTBParamEntry PRC with the PIB-ACCESS =
> 'install' in qosTBParamTable. I defined another PIB for another COPS
> extension and want to reuse this PRC for 'notify' purpose. How can I use
> it without defining an identical PRC table except PIB-ACCESS='notify'
> (or PIB-ACCESS='notify-install')?
> 
> Thank you very much.
> Mai Trang
> ----------------------------------------------------
> Nguyen Thi Mai Trang
> Ecole Nationale Superieure des Telecommunications
> Dept. INFRES - Bur. C234-4
> 46 Rue Barrault - 75013 Paris
> Tel: 01 45 81 74 61 - Fax : 01 45 81 31 19
> email : [email-masked]
>